let debugDetails = [];

function nowString() {
  return (new Date()).toLocaleDateString("en-US", {
    hour12: true,
    timeZone: "America/New_York",
    month: "numeric",
    day: "numeric",
    hour: "numeric",
    minute: "2-digit",
    second: "2-digit"
  });
}

function log(text) {
  debugDetails.push(`${nowString()}: ${text}`);
}

log("Starting content script");

browser.runtime.onMessage.addListener((request, sender, sendResponse) => {
  try {
    if (request.start) {
    }
  } catch (ex) {
    log("Got exception: " + ex);
  }
  sendResponse({debugDetails});
});

let myPort = browser.runtime.connect({name: "port-from-cs"});
myPort.postMessage({setup: true, debugDetails});

myPort.onMessage.addListener(message => {
  log("got message from background script: " + JSON.stringify(message));
});
